Cannot burn playlist as audio cd in rhythmbox

Bug #286408 reported by Eric Donkersloot on 2008-10-20
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Rhythmbox
Fix Released
Medium
rhythmbox (Ubuntu)
Medium
Ubuntu Desktop Bugs

Bug Description

Binary package hint: rhythmbox

When I try to burn a playlist I created in rhythmbox, the application throws the following error:

"Could not create audio cd - could not pause playback"

The debug log gives me:

(15:18:57) [0x9838408] [rb_recorder_close] rb-recorder-gst.c:682: Closing rb_recorder
(15:18:57) [0x9838408] [rb_recorder_gst_free_pipeline] rb-recorder-gst.c:251: Freeing rb_recorder pipeline
(15:18:57) [0x9838408] [rb_recorder_construct] rb-recorder-gst.c:445: Constructing element "typefind"
(15:18:57) [0x9838408] [rb_recorder_construct] rb-recorder-gst.c:448: Constructing element "decoder"
(15:18:57) [0x9838408] [rb_recorder_construct] rb-recorder-gst.c:455: Constructing element "audioconvert"
(15:18:57) [0x9838408] [rb_recorder_construct] rb-recorder-gst.c:458: Constructing element "audioscale"
(15:18:57) [0x9838408] [rb_recorder_construct] rb-recorder-gst.c:461: Constructing element "audioconvert2"
(15:18:57) [0x9838408] [rb_recorder_construct] rb-recorder-gst.c:464: Constructing element "capsfilter"
(15:18:57) [0x9838408] [rb_recorder_construct] rb-recorder-gst.c:467: Constructing element "encoder"
(15:18:57) [0x9838408] [rb_recorder_construct] rb-recorder-gst.c:499: Pipeline construction complete
(15:18:57) [0x9838408] [rb_recorder_sync_pipeline] rb-recorder-gst.c:642: Syncing pipeline
(15:18:57) [0x9838408] [rb_recorder_sync_pipeline] rb-recorder-gst.c:655: Pausing pipeline
(15:18:57) [0x9838408] [rb_recorder_close] rb-recorder-gst.c:682: Closing rb_recorder
(15:18:57) [0x9838408] [rb_recorder_gst_free_pipeline] rb-recorder-gst.c:251: Freeing rb_recorder pipeline
(15:18:57) [0x9838408] [pipe_message] rb-recorder-gst.c:339: Error
(15:18:57) [0x9838408] [rb_playlist_source_recorder_error] rb-playlist-source-recorder.c:696: Ignoring error: No file name specified for writing.

My music library is stored on a FAT32 partition and mounted as follows:

/dev/sda2 on /media/shared type vfat (rw,uid=500,gid=122,utf8,umask=022)

ericd@shuttlex:~/Desktop$ sudo dpkg -l |grep -i gstreamer |awk {'print $2'}
bluez-gstreamer
gstreamer0.10-alsa
gstreamer0.10-ffmpeg
gstreamer0.10-gnomevfs
gstreamer0.10-plugins-bad
gstreamer0.10-plugins-bad-multiverse
gstreamer0.10-plugins-base
gstreamer0.10-plugins-base-apps
gstreamer0.10-plugins-good
gstreamer0.10-plugins-ugly
gstreamer0.10-plugins-ugly-multiverse
gstreamer0.10-pulseaudio
gstreamer0.10-schroedinger
gstreamer0.10-tools
gstreamer0.10-x
libgstreamer-plugins-base0.10-0
libgstreamer0.10-0
totem-gstreamer

ericd@shuttlex:~$ lsb_release -drc
Description: Ubuntu 8.10
Release: 8.10
Codename: intrepid

ericd@shuttlex:~$ sudo apt-cache policy rhythmbox
rhythmbox:
  Installed: 0.11.6svn20081008-0ubuntu3
  Candidate: 0.11.6svn20081008-0ubuntu3
  Version table:
 *** 0.11.6svn20081008-0ubuntu3 0
        500 http://nl.archive.ubuntu.com intrepid/main Packages
        100 /var/lib/dpkg/status

Related branches

Eric Donkersloot (ericd) wrote :
Sebastien Bacher (seb128) wrote :

Thanks for your bug report. This bug has been reported to the developers of the software. You can track it and make comments here: http://bugzilla.gnome.org/show_bug.cgi?id=557221

Changed in rhythmbox:
assignee: nobody → desktop-bugs
importance: Undecided → Medium
status: New → Triaged
Eric Donkersloot (ericd) on 2008-10-22
description: updated
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package rhythmbox - 0.11.6svn20081008-0ubuntu4

---------------
rhythmbox (0.11.6svn20081008-0ubuntu4) intrepid; urgency=low

  * debian/patches/90_correct_cd_recording.patch:
    - upstream change to make recording audio cd work again (lp: #286408)

 -- Sebastien Bacher <email address hidden> Fri, 24 Oct 2008 19:33:08 +0200

Changed in rhythmbox:
status: Triaged → Fix Released
Eric Donkersloot (ericd) wrote :

I can confirm this bug was squashed - thanks !

Changed in rhythmbox:
status: Unknown → Fix Released
Changed in rhythmbox:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.